Bug 112264 - cannot open some files where network share is read only
cannot open some files where network share is read only
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 14:55 EST by Tim Conrad
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 18:42:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Conrad 2003-12-16 14:55:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
This is my complete 'smb.conf' file where the problem occurs.

[global]
        workgroup = abc
        netbios name = xyz
        server string = Samba Server
        security = SHARE
        encrypt passwords = yes
        log file = /var/log/samba/%m.log
        max log size = 50
        name resolve order = wins host
        socket options = IPTOS_LOWDELAY TCP_NODELAY
        load printers = no
        show add printer wizard = no
        os level = 65
        preferred master = no
        local master = no
        domain master = no
        browse list = no
        dns proxy = no
        wins server = 10.10.10.200
        remote announce = 10.10.10.200
        remote browse sync = 10.10.10.200
        socket address = 10.10.10.215
        guest account = joe
        create mask = 0644
        hosts allow = 10.10.10. 127.
        printing = lprng
        short preserve case = no
        mangle case = yes

[tmp]
        comment = tmp share
        path = /share/tmp
        force user = joe
        force group = joe
        read only = yes
        guest ok = yes

The samba share 'tmp' shows up just fine and any user can browse it
just fine. However some files, while they are visible, cannot be opened.

Example Using MS Office 2002 SP-2 & AutoCAD 2002

Case 1: *.doc files open perfectly.

Case 2: *.xls files don't open on the first attempt, but they do on
the second attempt. The error the program reports is the "The
'filename' could not be found".

Case 3: *.dwg files don't open at all (These are AutoCAD Drawing
Files). The error the program reports is the "The 'filename' could not
be found".

I have another identical server where the "read only = yes" line is
commented out, then everything works just fine.

Version-Release number of selected component (if applicable):
samba-3.0.0-14.3E

How reproducible:
Always

Steps to Reproduce:
1. Setup the samba using the above 'smb.conf' file.    

Additional info:
Comment 1 David Lawrence 2003-12-16 14:58:27 EST
What are the unix permissions and ownerships of the files that cannot
be opened? 
Comment 2 Tim Conrad 2003-12-16 15:06:00 EST
All unix file permissions are 644 and all directory permissions are 
755.
Comment 3 Tim Conrad 2003-12-16 15:08:54 EST
Also, all files and directories in the '/share' directory had the 
following command run on them 'chown -R joe.joe', so they all below 
to the guest account.
Comment 4 Tim Conrad 2003-12-17 17:53:59 EST
I have done some additional testing and wanted to append the
information. Even if the the share itself is not read only but there
are files/directories on that share which, for example belong to root
but still have the same unix permissions, the exact same problem still
occurs.
Comment 5 Tim Conrad 2003-12-17 18:32:23 EST
This whole problem could be tied in with an error I am seeing
repeatedly in the 'smbd.log' file:

[2003/12/17 10:18:51, 0] lib/util_sock.c:get_socket_addr(919)
  getpeername failed. Error was Transport endpoint is not connected

I mention this because the 'smbstatus' command returns the IP
addresses of the computers on the network connected to the share
rather than the NetBIOS name, which is what I typically would see.
Comment 7 Tim Conrad 2004-01-11 19:26:52 EST
The Samba team has already provided a solution for this problem in a
bug that submitted to them in October 2003. See the following links
for more information:

https://bugzilla.samba.org/show_bug.cgi?id=551

https://bugzilla.samba.org/show_bug.cgi?id=911

When will Red Hat incorporate this into a new samba release for RHEL?
Comment 8 Jay Fenlason 2004-01-16 23:58:52 EST
I've put RPMs of samba-3.0.2rc1 on 
http://people.redhat.com/fenlason/.samba .  Can you try them and see if 
they resolve your problem.  Note that these are un-qa'd packages of a 
release that is not intended for production use.  If they solve your 
problem, I will attempt to get samba-3.0.2 included in the next quarterly 
update of Red Hat Enterprise Linux 3. 
Comment 9 Tim Conrad 2004-01-18 02:44:28 EST
I downloaded the files from your site, installed them, and it appears
to have taken care of the problem. Please note, I only installed the
files: "samba-3.0.2-0rc1.3E.i386.rpm",
"samba-client-3.0.2-0rc1.3E.i386.rpm", and
"samba-common-3.0.2-0rc1.3E.i386.rpm". I ran several tests on all
types of files and there didn't appear to be any problems at all.
Thanks for your assistance.
Comment 10 Tim Conrad 2004-02-23 20:15:16 EST
The 11-FEB-04 build of samba made available through RedHat Network
also resolves this problem. I upgraded the following samba packages
and have not seen the problem return:

"samba-3.0.2-6.3E.i386.rpm"
"samba-client-3.0.2-6.3E.i386.rpm"
"samba-common-3.0.2-6.3E.i386.rpm"

Note You need to log in before you can comment on or make changes to this bug.